Update a Blueprint Step (this also moves the step if a new parent is specified) Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"PlannrCRM MCP server": {
  "url": "https://apidocs.plannrcrm.com/mcp"
}
Close
PUT /api/v1/automation-blueprints/{automationBlueprint_uuid}/blueprint-steps/{blueprintStep_uuid}

Path parameters

  • automationBlueprint_uuid string Required

    The UUID of the automation blueprint.

  • blueprintStep_uuid string Required

    The UUID of the blueprint step.

application/json

Body

  • name string

    Name of the automation step

  • type string

    must be a verified action type or a condition

  • configuration object Required

    Configuration options for this step, requirements depend on type

    Hide configuration attribute Show configuration attribute object
    • params array[object]

      List of parameters for this step

      Hide params attributes Show params attributes object
      • type string

        The type of parameter, either ref or const

        Values are ref or const.

      • value string

        The value of the parameter, either a reference to another step or a constant value

  • parent_step_uuid string(uuid)

    Uuid of the step that run before this step, if the parent step is a condition type then a condition state must be given

  • condition_state boolean

    Only required if parent step is a condition, the condition state will determine if this step runs in the true branch or the false branch of the parent condition

Responses

  • 200 application/json
    Hide response attribute Show response attribute object
    • data array[object]
      Hide data attributes Show data attributes object
      • uuid string

        Uuid of the Blueprint Step

      • created_at string

        Datetime the Blueprint Step was created

      • updated string

        Datetime the Blueprint Step was updated

      • name string

        Description of the action that the automation step is taking

      • type string

        Type of action to take on this step

      • configuration object

        The configuration of this step

        Hide configuration attribute Show configuration attribute object
        • params object
          Hide params attribute Show params attribute object
          • account_uuid object
            Hide account_uuid attributes Show account_uuid attributes object
            • type string
            • value string
      • condition_state boolean

        If the step is a type of condition, this will be the branch that the step follows on.

      • parent_step_uuid string

        Uuid of the parent step, can be null if this is the root step

PUT /api/v1/automation-blueprints/{automationBlueprint_uuid}/blueprint-steps/{blueprintStep_uuid}
curl \
 --request PUT 'https://api.plannrcrm.com/api/v1/automation-blueprints/dcf0-484e-a0c5-08590fe89a84-f6aa1670/blueprint-steps/aaf0-495f-a0c5-08590fe89a84-f6aa1670' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '{"name":"send an email","type":"mail.send","configuration":{"params":{"account_uuid":{"type":"ref","value":"trigger.account.uuid"}}},"parent_step_uuid":"f2d3ea0b-30dd-4834-9943-bb42504cd264","condition_state":true}'
Request examples
{
  "name": "send an email",
  "type": "mail.send",
  "configuration": {
    "params": {
      "account_uuid": {
        "type": "ref",
        "value": "trigger.account.uuid"
      }
    }
  },
  "parent_step_uuid": "f2d3ea0b-30dd-4834-9943-bb42504cd264",
  "condition_state": true
}
Response examples (200)
{
  "data": [
    {
      "uuid": "b5518275-200e-43db-bdf0-9691051adf09",
      "created_at": "2026-06-08T16:08:03+01:00",
      "updated": "2026-06-08T16:08:03+01:00",
      "name": "create a new client",
      "type": "client.create",
      "configuration": {
        "params": {
          "account_uuid": {
            "type": "ref",
            "value": "trigger.account.uuid"
          }
        }
      },
      "condition_state": false,
      "parent_step_uuid": "be8b578a-7ec1-4f5c-b5e2-ea05c42e1408"
    }
  ]
}